Package

## Enum InMobiAdRequestStatus.StatusCode

- All Implemented Interfaces:
    `java.io.Serializable` , `kotlin.Comparable`

      public enum InMobiAdRequestStatus.StatusCode
      extends Enum<InMobiAdRequestStatus.StatusCode>

  Collection of codes indicating the status of an ad request.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `private final String` | `name` |
    `private final Integer` | `ordinal` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `LOW_MEMORY` |
    `CONFIGURATION_ERROR` | load(byte[]) or getSignals() called with invalid configuration
    `CALLED_FROM_WRONG_THREAD` | An API called from non-ui thread
    `MONETIZATION_DISABLED` | Load() called when monetization is disabled
    `INVALID_RESPONSE_IN_LOAD` |
    `LOAD_WITH_RESPONSE_CALLED_WHILE_LOADING` |
    `GET_SIGNALS_CALLED_WHILE_LOADING` | Load() called after load(byte[])
    `GDPR_COMPLIANCE_ENFORCED` | GDPR compliance enforced.
    `REPETITIVE_LOAD` | Multiple load on the same object is called
    `MISSING_REQUIRED_DEPENDENCIES` | Dependent libraries are missing for this ad format
    `AD_NO_LONGER_AVAILABLE` | The availability of ad markup backing this ad unit changed.
    `EARLY_REFRESH_REQUEST` | User attempted to load an ad again before the minimum refresh request interval
    `AD_ACTIVE` | User clicked on an ad and its in the expanded/resized state.
    `SERVER_ERROR` | An Ad Server error occurred.
    `INTERNAL_ERROR` | An internal SDK error occurred.
    `REQUEST_TIMED_OUT` | An ad request timed out waiting for a response from the network.
    `REQUEST_PENDING` | An ad request is already pending response.
    `REQUEST_INVALID` | The ad network could not handle this request.
    `NO_FILL` | The ad request succeeded but no ad was returned.
    `NETWORK_UNREACHABLE` | The ad network is not reachable.
    `NO_ERROR` | No error.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `final String` | `getName()` |
    `final Integer` | `getOrdinal()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

  - ### Method Detail

    - #### getName

           final String getName()

    - #### getOrdinal

           final Integer getOrdinal()